Subject: bug#56803: closed (Re: bug#56803: [PATCH 0/6] Add hydrus network and its dependencies)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Aug 2022 22:47:02 +0000

Your bug report

#56803: [PATCH 0/6] Add hydrus network and its dependencies

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56803: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56803
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56803: [PATCH 0/6] Add hydrus network and its dependencies
From: Ludovic Courtès <[email-masked]>
To: Tomasz Jeneralczyk <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Aug 2022 00:46:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tomasz Jeneralczyk <[email-masked]> skribis:

> Hydrus-network has a weekly release cycle and is meant to be used from its own
> directory so I artificially spread it out to comply with guix's expectations.
>
> I was not able to build the program's help files. Fixing it would probably
> mean packaging a whole new build system for guix - more info in source
> comments.
>
> Also adds copyright and new used modules.
>
> * gnu/packages/image-viewers.scm (hydrus-network): Add variable.

I pushed the whole series:

  9b8507df11 gnu: Add hydrus-network.
  f82a8873d3 gnu: python-cloudscraper: Update to 1.2.60.
  5920196e47 gnu: opencv: Build Python bindings.
  619af9f307 gnu: Add python-mpv.
  e1ea628776 gnu: Add python-xvfbwrapper.
  05246c691b gnu: Add swftools.

I had to make a number of adjustments, such as tweaking commit logs,
moving info from the commit log to comments for swftools, changing the
swftools license to ‘gpl2+’ (because source file headers carry the “or
any later version” wording), avoiding “(package-license mpv)” as this
leads to a top-level circular dependency, and removing bundled binaries
from hydrus-network.

Thanks,
Ludo’.

Subject: [PATCH 0/6] Add hydrus network and its dependencies
From: Tomasz Jeneralczyk <[email-masked]>
To: [email-masked]
Cc: Tomasz Jeneralczyk <[email-masked]>
Date: Wed, 27 Jul 2022 20:57:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series will add hydrus network along with all dependencies it needs and fixes
to already existing packages.
The hydrus-network package added in the last patch depends on all previous patches to
work, so I want to sent it all in one go.

Hydrus is something I wanted to use and decided to package, but this sent me on a deep rabbit
hole of packaging new software and fixing what's already present. There are still problems with
swftools and hydrus that I couldn't resolve, but those are minor and I'll dedicate time to fixing
them in the future. I provided more details in relevant commit messages and source comments.

Tomasz Jeneralczyk (6):
  gnu: Add swftools.
  gnu: Add python-xvfbwrapper.
  gnu: Add python-mpv.
  gnu: Add opencv-with-python.
  gnu: Update python-cloudscraper.
  gnu: Add hydrus-network.

 gnu/packages/animation.scm        |  93 ++++++++++++++++++++++
 gnu/packages/image-processing.scm |  12 +++
 gnu/packages/image-viewers.scm    | 127 ++++++++++++++++++++++++++++++
 gnu/packages/python-check.scm     |  22 ++++++
 gnu/packages/python-web.scm       |  10 +--
 gnu/packages/python-xyz.scm       |  62 +++++++++++++++
 6 files changed, 321 insertions(+), 5 deletions(-)

base-commit: ecb91c993dcce7e6c3faa0d156013dac42380cc6
-- 
2.37.1